#include "mbed.h"
#include "GPS.h"
#include "PowerControl/EthernetPowerControl.h"

Serial pc(USBTX, USBRX);
GPS gps(p9, p10);

int main() {
  PHY_PowerDown();
    while(1) {
        if(gps.sample()) {
            pc.printf("I'm at %f, %f\n\r", gps.longitude, gps.latitude);
        } else {
            pc.printf("Oh Dear! No lock :(\n");
        }
    }
}
